Album: 'Minecraft: Steve Rocks the Block (Original Soundtrack)'
Directory: minecraft-steve-rocks-the-block
Date: January 26, 2026
Date Added: January 27, 2026
URLs:
- https://www.youtube.com/playlist?list=OLAK5uy_lRxVv0_PUIIFnMtn1QnNnwKfB4fptuWvw
- https://open.spotify.com/album/5J5jbs1B4IaSWM4cCvEzRG
- https://music.apple.com/album/minecraft-steve-rocks-the-block-original-soundtrack-ep/1872145434
Cover Artists:
- Microsoft
Color: '#ACA19D'
Groups:
- Beyond
---
Track: Halland / Dalarna (ACE - TOMOri Kudo / CHiCO Remix)
Main Release: Halland / Dalarna
Duration: 2:47
URLs:
- https://www.youtube.com/watch?v=8f1z9zf8QaY
- https://open.spotify.com/track/7Jqy5wb1df1Zb5ipiNVxma
- https://music.apple.com/song/halland-dalarna-ace-tomori-kudo-chico-remix/1872145435
---
Track: Dance of the Blocks (Yoko Shimomura Remix)
Main Release: Dance of the Blocks
Duration: 1:55
URLs:
- https://www.youtube.com/watch?v=roviLNqor5E
- https://open.spotify.com/track/3kOwgW2TPtFi6LwDR4HEHQ
- https://music.apple.com/song/dance-of-the-blocks-yoko-shimomura-remix/1872145436
---
Track: Earth (Mitsuhiro Kitadani Remix)
Main Release: track:earth-ssbu
Duration: 2:30
URLs:
- https://www.youtube.com/watch?v=BKWcZKDRbDc
- https://open.spotify.com/track/1yfXlrVM1tBS5cnPgUIJFP
- https://music.apple.com/song/earth-mitsuhiro-kitadani-remix/1872145800
---
Track: Toys on a Tear (Yuzo Koshiro Remix)
Main Release: Toys on a Tear
Duration: 2:28
URLs:
- https://www.youtube.com/watch?v=66xCLpm07wE
- https://open.spotify.com/track/6CAHOwiHwnX33X0SRbwW1b
- https://music.apple.com/song/toys-on-a-tear-yuzo-koshiro-remix/1872145815
---
Track: Glide (Hiroki Hashimoto Remix)
Main Release: Glide
Duration: 2:36
URLs:
- https://www.youtube.com/watch?v=mFcC3LqI80k
- https://open.spotify.com/track/5jF1gYZYLjYkoBFqY7vV3E
- https://music.apple.com/song/glide-hiroki-hashimoto-remix/1872145818
---
Track: The Arch Illager (Motoi Sakuraba Remix)
Main Release: track:the-arch-illager-ssbu
Duration: 2:16
URLs:
- https://www.youtube.com/watch?v=w87eh2-pr_Q
- https://open.spotify.com/track/3Byyo8DyXrI09l58EXOpYE
- https://music.apple.com/song/the-arch-illager-motoi-sakuraba-remix/1872145823
